class CreateMaterialSyncSources < ActiveRecord::Migration[8.0]
  def change
    create_table :material_sync_sources do |t|
      t.string :name, null: false
      t.string :source_kind, null: false
      t.string :source_uri
      t.string :source_path
      t.string :source_file_id
      t.string :profile, null: false, default: 'legacy_drive'
      t.boolean :enabled, null: false, default: true
      t.string :default_tag_name
      t.string :export_path_prefix
      t.datetime :last_synced_at
      t.references :created_by_user, foreign_key: { to_table: :users }
      t.references :updated_by_user, foreign_key: { to_table: :users }
      t.timestamps

      t.index :enabled
      t.index :source_kind
    end
  end
end
